
Foreman - Bug #23225

breadcrumb switcher on host show page breaks if vm tab fails to load

04/11/2018 12:52 PM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5437

  

Description

the host vm tab only catches `ActionView::Template::Error`, which works if the error is in the template rendering, but if

`find_vm_by_uuid` fails it throws a `ActiveRecord::RecordNotFound` exception which isn't caught by the controller, leading to the

generic controller reply which includes the entire layout - including JS which is executed and breaks all the JS on the page.

Related issues:

Related to Foreman - Feature #22855: Add redux container for breadcrumb switcher Closed 03/12/2018

Associated revisions

Revision f694d292 - 04/12/2018 06:29 AM - Amir Fefer

Fixes #23225 - fix vm tab js error in host page

History

#1 - 04/11/2018 12:53 PM - Tomer Brisker

- Related to Feature #22855: Add redux container for breadcrumb switcher added

#2 - 04/11/2018 04:13 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5437 added

#3 - 04/12/2018 06:29 AM - Tomer Brisker

- translation missing: en.field_release set to 330

#4 - 04/12/2018 07:02 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f694d292afe0b51f6065d9390b0ca9cc496186d1.
